Documentation Index
Fetch the complete documentation index at: https://wb-21fd5541-weave-caching.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Most Call properties are immutable after creation. The following mutations are supported:
You can perform all of these mutations from the UI by navigating to the Call detail page:
To update a Call in the web app:
- Navigate to wandb.ai and select your project.
- In the Weave project sidebar, click Traces.
- Find the Call you want to view in the table.
- Click on the Call to open its details page.
- Click the
Feedback tab in the Call detail’s tab bar.
Here you can edit the display name of the Call, add feedback, or delete the Call.
Set display name
Python
TypeScript
HTTP API
To set the display name of a Call, use the Call.set_display_name() method.import weave
# Initialize the client
client = weave.init("your-project-name")
# Get a specific Call by its ID
call = client.get_call("call-uuid-here")
# Set the display name of the Call
call.set_display_name("My Custom Display Name")
To set the display name of a Call, use client.updateCall to update by call ID directly:import * as weave from 'weave'
// Initialize the client
const client = await weave.init('your-project-name')
// Update the display name of a Call by its ID
await client.updateCall('call-uuid-here', 'My Custom Display Name')
To set the display name of a Call using the Service API, make a request to the /call/update endpoint.curl -L 'https://trace.wandb.ai/call/update' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-d '{
"project_id": "string",
"call_id": "string",
"display_name": "string",
}'
You can also set a Call’s display name at execution.
Add feedback
Please see the Feedback Documentation for more details.
Delete a Call
Python
TypeScript
HTTP API
To delete a Call using the Python API, use the Call.delete method.import weave
# Initialize the client
client = weave.init("your-project-name")
# Get a specific Call by its ID
call = client.get_call("call-uuid-here")
# Delete the Call
call.delete()
This feature is not available in the TypeScript SDK yet.
To delete a Call using the Service API, make a request to the /calls/delete endpoint.curl -L 'https://trace.wandb.ai/calls/delete' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-d '{
"project_id": "string",
"call_ids": [
"string"
],
}'
Delete multiple Calls
To delete batches of Calls using the Python API, pass a list of Call IDs to delete_calls().import weave
# Initialize the client
client = weave.init("my-project")
# Get all Calls from client
all_calls = client.get_calls()
# Get list of first 1000 Call objects
first_1000_calls = all_calls[:1000]
# Get list of first 1000 Call IDs
first_1000_calls_ids = [c.id for c in first_1000_calls]
# Delete first 1000 Calls by ID
client.delete_calls(call_ids=first_1000_calls_ids)
This feature is not available in the TypeScript SDK yet.